//
//  timeoutPlugIn.h
//  timeout
//
//  Created by Adam Fenn on 4/9/11.
//  Copyright (c) 2011 Adam Fenn. All rights reserved.
//

#import <Quartz/Quartz.h>
#import <Foundation/Foundation.h>

@interface timeoutPlugIn : QCPlugIn
{
	
@private int integer;
@private NSString *string;
@private NSMutableData *responseData;
	
}

/*
Declare here the Obj-C 2.0 properties to be used as input and output ports for the plug-in e.g.
@property double inputFoo;
@property(assign) NSString* outputBar;
You can access their values in the appropriate plug-in methods using self.inputFoo or self.inputBar
*/
@property(assign) NSString* inputURL;
@property(assign) BOOL inputRefresh;
@property(assign) NSString* outputString;

@property(readwrite,assign) int integer;
@property(readwrite,assign) NSString *string;
@property(readwrite,assign) NSMutableData *responseData;


@end




